メインコンテンツへスキップ
POST
/
kling
/
v1
/
videos
/
image2video
Kling イメージから動画生成
curl --request POST \
  --url https://api.aiid.edu.kg/kling/v1/videos/image2video \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "kling-v1",
  "prompt": "人物转身走开",
  "image": "https://example.com/image.jpg",
  "duration": 5,
  "width": 1280,
  "height": 720
}
'
{
  "task_id": "abcd1234efgh",
  "status": "queued"
}

承認

Authorization
string
header
必須

Bearer Token を使用して認証します。 形式: Authorization: Bearer sk-xxxxxx

ボディ

application/json

動画生成リクエスト

model
string

モデル/スタイルID

:

"kling-v1"

prompt
string

テキスト記述プロンプト

:

"宇航员站起身走了"

image
string

画像入力 (URL または Base64)

:

"https://example.com/image.jpg"

duration
number

動画の長さ(秒)

:

5

width
integer

ビデオの幅

:

1280

height
integer

動画の高さ

:

720

fps
integer

ビデオフレームレート

:

30

seed
integer

ランダムシード

:

20231234

n
integer

生成ビデオ数

:

1

response_format
string

レスポンス形式

:

"url"

user
string

ユーザー識別子

:

"user-1234"

metadata
object

拡張パラメータ (negative_prompt, style, quality_level など)

レスポンス

動画生成タスクの作成に成功しました

動画生成タスク送信レスポンス

task_id
string

タスクID

:

"abcd1234efgh"

status
string

タスクステータス

:

"queued"